aboutsummaryrefslogtreecommitdiff
path: root/rssh
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 19:31:21 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 19:31:21 +0000
commit3b42ea2913d5aa8077aba9fe1761b824398f9804 (patch)
tree64bcbbc6876e27f863df0ef9e9346e22b8291294 /rssh
parent8faf3506c7ee2a4a2f210d11d41ba91d9bd27eea (diff)
downloadslackbuilds-3b42ea2913d5aa8077aba9fe1761b824398f9804.tar.gz
slackbuilds-3b42ea2913d5aa8077aba9fe1761b824398f9804.tar.bz2
fixing permissions, part 1
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@455 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'rssh')
-rwxr-xr-xrssh/rssh-chroot.SlackBuild129
-rwxr-xr-xrssh/rssh.SlackBuild130
2 files changed, 259 insertions, 0 deletions
diff --git a/rssh/rssh-chroot.SlackBuild b/rssh/rssh-chroot.SlackBuild
new file mode 100755
index 00000000..f1f3263e
--- /dev/null
+++ b/rssh/rssh-chroot.SlackBuild
@@ -0,0 +1,129 @@
+#!/bin/bash
+#
+# slackbuild for rssh-chroot
+#
+
+CWD="`pwd`"
+
+cat << EOCAT
+Please consider to run this script with the following things installed:
+
+ rssh
+ libsafe
+
+EOCAT
+
+if [ "$INTERACT" != "no" ]; then
+ echo "Hit ENTER do continue, Crtl-C to abort"
+ read crap
+else
+ echo sleeping 3 seconds...
+ sleep 3
+fi
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PRGNAM="rssh-chroot"
+PACKAGE="$PRGNAM"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.3.2}
+BUILD=${BUILD:=2rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# adjust to where your rssh chroot system will be located
+CHROOT_BASE="/var/users"
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+rm -rf $TMP/package-$PACKAGE
+mkdir -p $TMP/package-$PACKAGE/install
+cd $TMP/package-$PACKAGE
+
+mkdir -p ./$CHROOT_BASE/{bin,etc,lib,lib/tls,usr/lib,usr/libexec,usr/bin,usr/doc,home,dev}
+
+if [ "$ARCH" == "x86_64" ]; then
+ mkdir -p ./$CHROOT_BASE/{lib64/tls,usr/lib64}
+fi
+
+for ldfile in ld.so.cache ld.so.conf ld.so.preload; do
+ if [ -f "/etc/$ldfile" ]; then
+ cp /etc/$ldfile ./$CHROOT_BASE/etc
+ fi
+done
+
+# inspired by http://www.howtoforge.com/chrooted_ssh_howto_debian_p2
+APPS="/usr/bin/rssh /usr/bin/scp /usr/libexec/sftp-server /usr/libexec/rssh_chroot_helper"
+for app in $APPS; do
+ cp $app ./$CHROOT_BASE/$app
+
+ # obtain a list of related libraries
+ ldd $app > /dev/null
+ if [ "$?" = 0 ] ; then
+ libs="`ldd $app | sed -e 's/=>//' -e 's/(.*)//' | awk '{ print $1 "\n" $2 }'`"
+ for lib in $libs; do
+ if [ -a "$lib" ]; then
+ mkdir -p ./$CHROOT_BASE/`dirname $lib` > /dev/null 2>&1
+ cp $lib ./$CHROOT_BASE/$lib
+ fi
+ done
+ fi
+done
+
+# dont work inside vservers:
+# mknod ./$CHROOT_BASE/dev/null c 1 3
+
+cp /dev/null ./$CHROOT_BASE/dev/null
+chmod 666 ./$CHROOT_BASE/dev/null
+
+mkdir -p usr/doc/$PACKAGE-$VERSION
+cp $CWD/COPYING* usr/doc/$PACKAGE-$VERSION/
+
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+rssh-chroot: rssh-chroot: a chroot jail to use with rssh restricted secure shell
+rssh-chroot:
+rssh-chroot:
+rssh-chroot:
+rssh-chroot:
+rssh-chroot:
+rssh-chroot:
+rssh-chroot:
+rssh-chroot:
+rssh-chroot:
+rssh-chroot:
+EOF
+
+chmod 755 ./$CHROOT_BASE/{bin,etc,lib,lib/tls,usr/lib,usr/libexec,usr/bin,usr/doc,dev}
+chmod 111 ./$CHROOT_BASE/home
+
+makepkg -c n $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/rssh/rssh.SlackBuild b/rssh/rssh.SlackBuild
new file mode 100755
index 00000000..bfeecf57
--- /dev/null
+++ b/rssh/rssh.SlackBuild
@@ -0,0 +1,130 @@
+#!/bin/bash
+#
+# slackbuild for rssh
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PRGNAM="rssh"
+PACKAGE="$PRGNAM"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.3.2}
+BUILD=${BUILD:=2rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+PACKAGE_EXT="gz"
+KEY="http://www.pizzashack.org/ddmkey.txt"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/$PACKAGE/$SRC"
+RTOOL="wget"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+ wget "$URL.sig" -O "$SRC_DIR/$SRC.sig"
+fi
+
+if [ ! -f "$SRC_DIR/$PACKAGE-key.asc" ]; then
+ wget "$KEY" -O "$SRC_DIR/$PACKAGE-key.asc" && gpg --import $SRC_DIR/$PACKAGE-key.asc
+fi
+
+gpg --verify $SRC.sig $SRC || echo WARNING: Could not check signature or WRONG signature found.
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+rm -rf $PACKAGE-$VERSION $PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+tar xvf$tarflag $SRC_DIR/$PACKAGE-$VERSION.tar.$PACKAGE_EXT
+cd $PACKAGE-$VERSION
+
+# small fix for Makefile correctly honour DESTDIR
+sed -e 's/chmod u+s \$(libexecdir)\/rssh_chroot_helper/chmod u+s \$(DESTDIR)\$(libexecdir)\/rssh_chroot_helper/' \
+ Makefile.in > Makefile.in.new && mv Makefile.in.new Makefile.in
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+make || exit 32
+make install DESTDIR=$TMP/package-$PACKAGE
+
+CWD="`pwd`"
+
+mkdir -p $TMP/package-$PACKAGE/install
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mv etc/rssh.conf etc/rssh.conf.new
+
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+rssh: rssh: restricted shell for ssh connections
+rssh:
+rssh: rssh is a restricted shell for use with OpenSSH, allowing only scp
+rssh: and/or sftp. It now also includes support for rdist, rsync, and cvs.
+rssh: For example, if you have a server which you only want to allow users
+rssh: to copy files off of via scp, without providing shell access, you
+rssh: can use rssh to do that.
+rssh:
+rssh:
+rssh:
+rssh:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+cp $CWD/{AUTHORS,CHROOT,COPYING,ChangeLog,INSTALL,LICENSE,NEWS,README,SECURITY,TODO} usr/doc/$PACKAGE-$VERSION/
+
+# install script
+echo '( if [ ! -f "etc/rssh.conf" ]; then mv etc/rssh.conf.new etc/rssh.conf; fi )' > install/doinst.sh
+
+makepkg -c y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+